<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>OpenGL tools</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.76.1">
<link rel="home" href="index.html" title="V_Sim API - Reference Manual">
<link rel="up" href="core.html" title="Part I. Core">
<link rel="prev" href="ToolFileFormat.html" title="ToolFileFormat">
<link rel="next" href="v-sim-opengl.html" title="opengl">
<meta name="generator" content="GTK-Doc V1.18 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
<td><a accesskey="p" href="ToolFileFormat.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td><a accesskey="u" href="core.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">V_Sim API - Reference Manual</th>
<td><a accesskey="n" href="v-sim-opengl.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h2 class="title">
<a name="idp103056"></a>OpenGL tools</h2></div></div></div>
<div class="toc"><dl>
<dt>
<span class="refentrytitle"><a href="v-sim-opengl.html">opengl</a></span><span class="refpurpose"> — This part is responsible for the pseudo3D
rendering through OpenGl and gives methods to adapt the view.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="v-sim-renderingMode.html">renderingMode</a></span><span class="refpurpose"> — Controls the way OpenGL renders objects.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="v-sim-light.html">light</a></span><span class="refpurpose"> — Controls the use of lights in the rendering
window.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="v-sim-text.html">text</a></span><span class="refpurpose"> — Enables capabilities to write some text on rendering screen.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="v-sim-objectList.html">objectList</a></span><span class="refpurpose"> — Gives storage for ids used by OpenGL lists and
provides primitive routine for common drawing operations
(distances, torus...).</span>
</dt>
</dl></div>
<p>These little utilities are dealing with OpenGL. They are not essential to V_Sim but can add some nice features that can be shared between different modules.</p>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.18</div>
</body>
</html>